Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc.optionfile
Class TagsJavadocOptionFileOption

    java.lang.Object
      org.gradle.external.javadoc.optionfile.AbstractJavadocOptionFileOption<List<String>>
          org.gradle.external.javadoc.optionfile.TagsJavadocOptionFileOption

All Implemented Interfaces:
  JavadocOptionFileOption<List<String>>, OptionLessJavadocOptionFileOption<List<String>>

    public class TagsJavadocOptionFileOption

extends AbstractJavadocOptionFileOption<List<String>>

Field Summary

Fields inherited from class org.gradle.external.javadoc.optionfile.AbstractJavadocOptionFileOption
`option, value`

Constructor Summary
`protected` | `TagsJavadocOptionFileOption(String option)`

Method Summary
`List<String>` | `getValue()`
`void` | `setValue(List<String> value)`
`void` | `write(JavadocOptionFileWriterContext writerContext)`

Methods inherited from class org.gradle.external.javadoc.optionfile.AbstractJavadocOptionFileOption
`getOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagsJavadocOptionFileOption

    protected TagsJavadocOptionFileOption(String option)

Method Detail

### getValue

    public List<String> getValue()

  Specified by:
    `getValue` in interface `OptionLessJavadocOptionFileOption<List<String>>`
  Overrides:
    `getValue` in class `AbstractJavadocOptionFileOption<List<String>>`

### setValue

    public void setValue(List<String> value)

  Specified by:
    `setValue` in interface `OptionLessJavadocOptionFileOption<List<String>>`
  Overrides:
    `setValue` in class `AbstractJavadocOptionFileOption<List<String>>`

### write

    public void write(JavadocOptionFileWriterContext writerContext)
               throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD